Data::Perl::Number(3)

NAME
Data::Perl::Number - Wrapping class for Perl scalar numbers.

VERSION
version 0.002011

SYNOPSIS
  use Data::Perl qw/number/;

  my $num = number(123);

  $num->add(5); # $num == 128

  $num->div(2); # $num == 64

DESCRIPTION
This class is a simple consumer of the Data::Perl::Role::Number role, which provides all functionality. You probably want to look there instead.

AUTHOR
Matthew Phillips <mattp@cpan.org>

COPYRIGHT AND LICENSE
This software is copyright (c) 2020 by Matthew Phillips <mattp@cpan.org>.

This is free software; you can redistribute it and/or modify it under the same terms as the Perl 5 programming language system itself.